<template>
    <div v-on:click="click()">
        {{value}}
    </div>
</template>

<script>
export default {
    props: ['value'],
    methods: {
        click(){
            this.$emit('value', this.value);
        }
    }
}
</script>

<style scoped>
    div {
        border: 1px solid grey;
        height: 20px;
        width: 20px;
        text-align: center;
        vertical-align: middle;
        line-height: 20px;
        overflow: hidden;
    }

    div:hover {
        background: lightgrey;
        cursor: pointer;
    }
</style>
